<?php

/**
 * Banner Section
 *
 * @package doctor_physician
 */

$wp_customize->add_section(
	'doctor_physician_banner_section',
	array(
		'panel'    => 'doctor_physician_front_page_options',
		'title'    => esc_html__( 'Banner Section', 'doctor-physician' ),
		'priority' => 10,
	)
);

// Banner Section - Enable Section.
$wp_customize->add_setting(
	'doctor_physician_enable_banner_section',
	array(
		'default'           => false,
		'sanitize_callback' => 'doctor_physician_sanitize_switch',
	)
);

$wp_customize->add_control(
	new Doctor_Physician_Toggle_Switch_Custom_Control(
		$wp_customize,
		'doctor_physician_enable_banner_section',
		array(
			'label'    => esc_html__( 'Enable Banner Section', 'doctor-physician' ),
			'section'  => 'doctor_physician_banner_section',
			'settings' => 'doctor_physician_enable_banner_section',
		)
	)
);

if ( isset( $wp_customize->selective_refresh ) ) {
	$wp_customize->selective_refresh->add_partial(
		'doctor_physician_enable_banner_section',
		array(
			'selector' => '#doctor_physician_banner_section .section-link',
			'settings' => 'doctor_physician_enable_banner_section',
		)
	);
}


// Banner Section - Banner Slider Content Type.
$wp_customize->add_setting(
	'doctor_physician_banner_slider_content_type',
	array(
		'default'           => 'post',
		'sanitize_callback' => 'doctor_physician_sanitize_select',
	)
);

$wp_customize->add_control(
	'doctor_physician_banner_slider_content_type',
	array(
		'label'           => esc_html__( 'Select Banner Slider Content Type', 'doctor-physician' ),
		'section'         => 'doctor_physician_banner_section',
		'settings'        => 'doctor_physician_banner_slider_content_type',
		'type'            => 'select',
		'active_callback' => 'doctor_physician_is_banner_slider_section_enabled',
		'choices'         => array(
			'page' => esc_html__( 'Page', 'doctor-physician' ),
			'post' => esc_html__( 'Post', 'doctor-physician' ),
		),
	)
);

// Banner Slider Category Setting.
$wp_customize->add_setting('doctor_physician_banner_slider_category', array(
	'default'           => 'slider',
	'sanitize_callback' => 'sanitize_text_field',
));

// Add custom control for Banner Slider Category with conditional visibility.
$wp_customize->add_control(new Doctor_Physician_Customize_Category_Dropdown_Control($wp_customize, 'doctor_physician_banner_slider_category', array(
	'label'    => __('Select Banner Category', 'doctor-physician'),
	'section'  => 'doctor_physician_banner_section',
	'settings' => 'doctor_physician_banner_slider_category',
	'active_callback' => function() use ($wp_customize) {
		return $wp_customize->get_setting('doctor_physician_banner_slider_content_type')->value() === 'post';
	},
)));

for ( $doctor_physician_i = 1; $doctor_physician_i <= 3; $doctor_physician_i++ ) {

	// Banner Section - Select Banner Post.
	$wp_customize->add_setting(
		'doctor_physician_banner_slider_content_post_' . $doctor_physician_i,
		array(
			'sanitize_callback' => 'absint',
		)
	);

	$wp_customize->add_control(
		'doctor_physician_banner_slider_content_post_' . $doctor_physician_i,
		array(
			/* translators: %d: Post Count. */
			'label'           => sprintf( esc_html__( 'Select Post %d', 'doctor-physician' ), $doctor_physician_i ),
			'description'     => sprintf( esc_html__( 'Kindly :- Select a Post based on the category selected in the upper settings', 'doctor-physician' ), $doctor_physician_i ),
			'section'         => 'doctor_physician_banner_section',
			'settings'        => 'doctor_physician_banner_slider_content_post_' . $doctor_physician_i,
			'active_callback' => 'doctor_physician_is_banner_slider_section_and_content_type_post_enabled',
			'type'            => 'select',
			'choices'         => doctor_physician_get_post_choices(),
		)
	);

	// Banner Section - Select Banner Page.
	$wp_customize->add_setting(
		'doctor_physician_banner_slider_content_page_' . $doctor_physician_i,
		array(
			'sanitize_callback' => 'absint',
		)
	);

	$wp_customize->add_control(
		'doctor_physician_banner_slider_content_page_' . $doctor_physician_i,
		array(
			/* translators: %d: Page Count. */
			'label'           => sprintf( esc_html__( 'Select Page %d', 'doctor-physician' ), $doctor_physician_i ),
			'section'         => 'doctor_physician_banner_section',
			'settings'        => 'doctor_physician_banner_slider_content_page_' . $doctor_physician_i,
			'active_callback' => 'doctor_physician_is_banner_slider_section_and_content_type_page_enabled',
			'type'            => 'select',
			'choices'         => doctor_physician_get_page_choices(),
		)
	);

	// Banner Section - Button Label.
	$wp_customize->add_setting(
		'doctor_physician_banner_button_label_' . $doctor_physician_i,
		array(
			'default'           => '',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);

	$wp_customize->add_control(
		'doctor_physician_banner_button_label_' . $doctor_physician_i,
		array(
			/* translators: %d: Button Label Count. */
			'label'           => sprintf( esc_html__( 'Button Label 1 %d', 'doctor-physician' ), $doctor_physician_i ),
			'section'         => 'doctor_physician_banner_section',
			'settings'        => 'doctor_physician_banner_button_label_' . $doctor_physician_i,
			'type'            => 'text',
			'active_callback' => 'doctor_physician_is_banner_slider_section_enabled',
		)
	);

	// Banner Section - Button Link.
	$wp_customize->add_setting(
		'doctor_physician_banner_button_link_' . $doctor_physician_i,
		array(
			'default'           => '',
			'sanitize_callback' => 'esc_url_raw',
		)
	);

	$wp_customize->add_control(
		'doctor_physician_banner_button_link_' . $doctor_physician_i,
		array(
			/* translators: %d: Button Link Count. */
			'label'           => sprintf( esc_html__( 'Button Link 1 %d', 'doctor-physician' ), $doctor_physician_i ),
			'section'         => 'doctor_physician_banner_section',
			'settings'        => 'doctor_physician_banner_button_link_' . $doctor_physician_i,
			'type'            => 'url',
			'active_callback' => 'doctor_physician_is_banner_slider_section_enabled',
		)
	);

}

// Offer Section - Offer Heading.
$wp_customize->add_setting(
	'doctor_physician_about_left_image',
	array(
		'sanitize_callback' => 'doctor_physician_sanitize_image',
	)
);

$wp_customize->add_control(
	new WP_Customize_Image_Control(
		$wp_customize,
		'doctor_physician_about_left_image',
		array(
			'label'           => esc_html__( 'Team Image', 'doctor-physician'),
			'section'         => 'doctor_physician_banner_section',
			'settings'        => 'doctor_physician_about_left_image',
			'active_callback' => 'doctor_physician_is_banner_slider_section_enabled',
		)
	)
);

// Banner Section - Team Text.
	$wp_customize->add_setting(
		'doctor_physician_team_heading' ,
		array(
			'default'           => '',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);

	$wp_customize->add_control(
		'doctor_physician_team_heading' ,
		array(
			'label'           => sprintf( esc_html__( 'Team Text', 'doctor-physician' ), ),
			'section'         => 'doctor_physician_banner_section',
			'settings'        => 'doctor_physician_team_heading' ,
			'type'            => 'text',
			'active_callback' => 'doctor_physician_is_banner_slider_section_enabled',
		)
	);

	$wp_customize->add_setting( 
		'doctor_physician_banner_settings_upgraded_features',
		array(
			'sanitize_callback' => 'sanitize_text_field'
		)
	);

	$wp_customize->add_control(
		'doctor_physician_banner_settings_upgraded_features', 
		array(
			'type'=> 'hidden',
			'description' => "
				<div class='customizer-upgraded-features'>
					<i class='fas fa-info-circle'></i>
					<span class='pro-text'>
						Unlock Premium <strong>Features</strong> ?<br>
						<a target='_blank' href='". esc_url(DOCTOR_PHYSICIAN_PREMIUM_PAGE) ." '>Upgrade Pro</a>
					</div>
				</div>
			",
			'section' => 'doctor_physician_banner_section'
		)
	);